Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class TransactionEvent

    java.lang.Object
      java.util.EventObject
          org.apache.openjpa.event.TransactionEvent

All Implemented Interfaces:
  Serializable

    public class TransactionEvent

extends EventObject

A transactional event. The event source is the `Broker` whose transaction state changed.

Since:
  0.3.0
Author:
  Abe White
See Also:
  Serialized Form

Field Summary
`static int` | `AFTER_BEGIN` Event type signifying that a transaction has just begun.
`static int` | `AFTER_COMMIT` Event type signifying that the transaction has committed.
`static int` | `AFTER_COMMIT_COMPLETE` Event type signifying that the commit has completey ended and the transaction is no longer active.
`static int` | `AFTER_FLUSH` Event type signifying that changes have been flushed to the datastore.
`static int` | `AFTER_ROLLBACK` Event type signifying that the transaction was rolled back.
`static int` | `AFTER_ROLLBACK_COMPLETE` Event type signifying that the rollback has completey ended and the transaction is no longer active.
`static int` | `AFTER_STATE_TRANSITIONS` Event type signifying that all state transitions have been made.
`static int` | `BEFORE_COMMIT` Event type signifying that the transaction is about to be committed.
`static int` | `BEFORE_FLUSH` Event type signifying that changes are about to be flushed to the datastore.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransactionEvent(Broker broker, int type, Collection objs, Collection addClss, Collection updateClss, Collection deleteClss)` Constructor.

Method Summary
`Collection` | `getDeletedTypes()` Return the unmodifiable the set of classes of persistence capable objects that were deleted in the transaction.
`Collection` | `getPersistedTypes()` Return the unmodifiable the set of classes of persistence capable objects that were created in the transaction.
`Collection` | `getTransactionalObjects()` Return the unmodifiable set of persistence capable objects participating in the transaction.
`int` | `getType()` Return the type of event.
`Collection` | `getUpdatedTypes()` Return the unmodifiable the set of classes of persistence capable objects that were modified in the transaction.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AFTER_BEGIN

    public static final int AFTER_BEGIN

  Event type signifying that a transaction has just begun.

  See Also:
    Constant Field Values

### BEFORE_FLUSH

    public static final int BEFORE_FLUSH

  Event type signifying that changes are about to be flushed to the datastore. This does not necessarily mean that a commit is taking place.

  See Also:
    Constant Field Values

### AFTER_FLUSH

    public static final int AFTER_FLUSH

  Event type signifying that changes have been flushed to the datastore. This event is only fired if flushing is successful.

  See Also:
    Constant Field Values

### BEFORE_COMMIT

    public static final int BEFORE_COMMIT

  Event type signifying that the transaction is about to be committed. This will be fired before the `BEFORE_FLUSH` event for the transaction, so that you can differentiate between flushes for commits and other flushes.

  See Also:
    Constant Field Values

### AFTER_COMMIT

    public static final int AFTER_COMMIT

  Event type signifying that the transaction has committed.

  See Also:
    Constant Field Values

### AFTER_ROLLBACK

    public static final int AFTER_ROLLBACK

  Event type signifying that the transaction was rolled back.

  See Also:
    Constant Field Values

### AFTER_STATE_TRANSITIONS

    public static final int AFTER_STATE_TRANSITIONS

  Event type signifying that all state transitions have been made.

  See Also:
    Constant Field Values

### AFTER_COMMIT_COMPLETE

    public static final int AFTER_COMMIT_COMPLETE

  Event type signifying that the commit has completey ended and the transaction is no longer active.

  See Also:
    Constant Field Values

### AFTER_ROLLBACK_COMPLETE

    public static final int AFTER_ROLLBACK_COMPLETE

  Event type signifying that the rollback has completey ended and the transaction is no longer active.

  See Also:
    Constant Field Values

Constructor Detail

### TransactionEvent

    public TransactionEvent(Broker broker,
                            int type,
                            Collection objs,
                            Collection addClss,
                            Collection updateClss,
                            Collection deleteClss)

  Constructor.

  Parameters:
    `broker` - the event source
    `type` - the event type
    `objs` - transactional objects
    `addClss` - classes of added instances
    `updateClss` - classes of updated instances
    `deleteClss` - classes of deleted instances

Method Detail

### getType

    public int getType()

  Return the type of event.

### getTransactionalObjects

    public Collection getTransactionalObjects()

  Return the unmodifiable set of persistence capable objects participating in the transaction. This set will contain all dirty objects, but may not contain clean objects.

### getPersistedTypes

    public Collection getPersistedTypes()

  Return the unmodifiable the set of classes of persistence capable objects that were created in the transaction.

### getUpdatedTypes

    public Collection getUpdatedTypes()

  Return the unmodifiable the set of classes of persistence capable objects that were modified in the transaction.

### getDeletedTypes

    public Collection getDeletedTypes()

  Return the unmodifiable the set of classes of persistence capable objects that were deleted in the transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.